import { CoreConfig } from "../model/CoreConfig";
declare class ApiService {
    /**
     * @description: 获取全局配置
     * @author ChenRui
     * @date 2020/12/17 16:16
     */
    get coreConfig(): Partial<CoreConfig>;
    createBasicHeaders(): {
        "Content-Type": string;
        Accept: string;
    };
    createAuthHeaders(): {
        "Content-Type": string;
        Accept: string;
        Authorization: string;
        "user-identity": string | undefined;
    };
    createMultipartAuthHeaders(): {
        accessToken: string | undefined;
    };
    /**
     * @description: 创建上传认证消息头
     * @author ChenRui
     * @date 2021/4/6 11:17
     */
    createFileUploadAuthorizationHeader(): {
        Accept: string;
        Authorization: string;
        "user-identity": string | undefined;
    };
    /**
     * @description: 创建认证下载消息头
     * @author ChenRui
     * @date 2020/8/28 15:18
     */
    createFileDownloadAuthorizationHeader(): {
        "Content-Type": string;
        Authorization: string;
        "user-identity": string | undefined;
    };
    /**
     * @description: 普通请求
     * @author ChenRui
     * @date 2020/12/17 15:35
     */
    fetch(path: string, query: any, body: any | undefined, method: string, header: any): Promise<any>;
    /**
     * @description:  通用请求
     * @author ChenRui
     * @date 2020/12/17 15:39
     */
    general(api: any, query?: any | undefined, params?: any | undefined, requestConfig?: any): Promise<any>;
    /**
     * @description: 参数序列化
     * @author ChenRui
     * @date 2020/12/17 15:34
     */
    serialize(data: any): string | undefined;
    /**
     * @description: json格式转表单格式
     * @author ChenRui
     * @date 2020/8/28 15:20
     */
    jsonToFormData(params: any): FormData | undefined;
    /**
     * @description: url请求参数组装
     * @author ChenRui
     * @date 2020/8/28 15:21
     */
    urlQueryConvert(url: string, query: any): string;
}
declare const apiService: ApiService;
export { apiService };
